Subject: bug#108: 23.0.60; Feature request: Menu item "load init files" after -q/-Q

From: Eli Zaretskii <[email-masked]>
Date: Mon, 30 Sep 2019 10:23:47 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Mon, 30 Sep 2019 07:54:14 +0200
> Cc: Reiner Steib <[email-masked]>
> 
> Reiner Steib <[email-masked]> writes:
> 
> > when XEmacs is started with `--vanilla' or `-q', it displays an item
> > "Load init files" in the menu bar.  The name of the command in XEmacs
> > is `load-user-init-file'.
> >
> > Maybe Emacs should do have something similar.  I'm not sure about
> > where to add it. Maybe a menu entry in the Options menu and a tool bar
> > button?
> 
> Hm...  I'm not quite sure what the use case here is.  I mean, if you say
> "-q" or "-Q", it's because you want an Emacs without any
> customisations.  So why would you then load ~/.emacs?
> 
> Hm...  OK...  I could see that it could help with debugging the init
> file, for instance.  You'd (setq debug-on-error t) or whatever and then
> hit the load button.  But...  if you're doing that, you're probably
> better off just `M-x eval-buffer' in ~/.emacs.
> 
> So I'm not sure.  Anybody got an opinion?

I can only contribute a caveat: loading (via 'load') of init files
from within a running Emacs session will not 100% reproduce what
happens when those init files are loaded during startup, so if the
purpose is to allow debugging those files, loading them from Emacs
might not recreate the problems one wants to debug.

OTOH, I thought we already have some means of debugging the init
files, no?